mb_http_output
mb_language
Multibyte String Functions
PHP Manual

# mb_internal_encoding

(PHP 4 >= 4.0.6, PHP 5)

mb_internal_encoding — Set/Get internal character encoding

### Description

mixed mb_internal_encoding ([ string `$encoding` ] )

Set/Get the internal character encoding

### Parameters

`encoding`

  `encoding` is the character encoding name used for the HTTP input character encoding conversion, HTTP output character encoding conversion, and the default character encoding for string functions defined by the mbstring module.

### Return Values

If `encoding` is set, then Returns `TRUE` on success or `FALSE` on failure. If `encoding` is omitted, then the current character encoding name is returned.

### Examples

Example #1 mb_internal_encoding() example

`<?php
/* Set internal character encoding to UTF-8 */
mb_internal_encoding("UTF-8");
/* Display current internal character encoding */
echo mb_internal_encoding();
?>`

### Notes

> Note: The internal encoding or the character encoding specified by mb_regex_encoding() will be used as the character encoding for this function.

### See Also

- mb_http_input()
- mb_http_output()
- mb_detect_order()

mb_http_output
mb_language
Multibyte String Functions
PHP Manual